/*
 * FormatCommandOrganizeAsATable.java
 *
 * Created on 9 mei 2005, 21:36
 */

package it.businesslogic.ireport.gui.command;

import it.businesslogic.ireport.OperationType;

/**
 *
 */
public class FormatCommandOrganizeAsATable extends FormatCommand {
    // Preparation is called before the while loop
    {
        operationType = OperationType.ORGANIZE_AS_A_TABLE;
    }
    
    void executeDeeper() {
        
        resetEnumeration();

        processElements();  //register all elements once!
        
        sleepUndo = true;
        
        getCommand(OperationType.ALIGN_TOP_TO_BAND).execute();
        getCommand(OperationType.JOIN_LEFT).execute();
        getCommand(OperationType.MOVE_TO_LEFT_MARGIN).execute();
        getCommand(OperationType.SAME_HEIGHT_MIN).execute();
        getCommand(OperationType.INCREASE_SPACE_H).execute();
        
        updateElements();
        
        sleepUndo = false;
    }
    
}
